Index index by Group index by Distribution index by Vendor index by creation date index by Name Mirrors Help Search

xen-hypervisor-4.17.0-4.mga9 RPM for i586

From Mageia 9 for i586 / media / core / release

Name: xen-hypervisor Distribution: Mageia
Version: 4.17.0 Vendor: Mageia.Org
Release: 4.mga9 Build date: Wed Feb 22 00:33:44 2023
Group: System/Kernel and hardware Build host: localhost
Size: 10542492 Source RPM: xen-4.17.0-4.mga9.src.rpm
Packager: ghibo <ghibo>
Url: https://xen.org/
Summary: Libraries for Xen tools
This package contains the Xen hypervisor.

Provides

Requires

License

GPLv2+ and LGPLv2+ and BSD

Changelog

* Wed Feb 22 2023 ghibo <ghibo> 4.17.0-4.mga9
  + Revision: 1944624
  - Add support for vtpm for x86_64
* Tue Feb 21 2023 ghibo <ghibo> 4.17.0-3.mga9
  + Revision: 1944606
  - Fix xen.hypervisor.config with new CONFIGs to avoid EOF errors.
  - Merge patch from opensuse (and upstream) to avoid overflow for CPUs over 4.294GHz.
  - Merge patch from opensuse (and upstream) to fix problems with arch LBR in newer CPUs like Sapphire Rapids.
* Tue Feb 21 2023 tv <tv> 4.17.0-2.mga9
  + Revision: 1944522
  - update to xen-4.17.0
  - use OVMF.fd from new edk2-ovmf-xen package as ovmf.bin file
    	built from edk2-ovmf package no longer supports xen (#2170930)
  - x86: Cross-Thread Return Address Predictions [XSA-426, CVE-2022-27672]
  - Guests can cause Xenstore crash via soft reset [XSA-425, CVE-2022-42330]
* Wed Nov 09 2022 tv <tv> 4.16.2-1.mga9
  + Revision: 1904864
  - update to xen-4.16.2 + tons of CVEs
* Fri Jul 08 2022 tv <tv> 4.16.1-4.mga9
  + Revision: 1868019
  - Linux disk/nic frontends data leaks [XSA-403, CVE-2022-26365,
    	CVE-2022-33740, CVE-2022-33741, CVE-2022-33742] (#2104747)
* Wed Jun 29 2022 tv <tv> 4.16.1-3.mga9
  + Revision: 1866672
  - x86: MMIO Stale Data vulnerabilities [XSA-404, CVE-2022-21123,
    	CVE-2022-21125, CVE-2022-21166]
  - x86 pv: Race condition in typeref acquisition [XSA-401, CVE-2022-26362]
  - x86 pv: Insufficient care with non-coherent mappings [ XSA-402,
    	CVE-2022-26363, CVE-2022-26364]
  - additional patches so above applies cleanly
* Thu May 19 2022 pterjan <pterjan> 4.16.1-2.mga9
  + Revision: 1859023
  - Rebuild for OCaml 4.14
* Fri Apr 15 2022 tv <tv> 4.16.1-1.mga9
  + Revision: 1850236
  - update to xen-4.16.1
  - strip .efi file to help EFI partitions with limited space
* Wed Apr 06 2022 tv <tv> 4.16.0-7.mga9
  + Revision: 1846236
  - Racy interactions between dirty vram tracking and paging log dirty
    	hypercalls [XSA-397, CVE-2022-26356]
  - race in VT-d domain ID cleanup [XSA-399, CVE-2022-26357]
  - IOMMU: RMRR (VT-d) and unity map (AMD-Vi) handling issues [XSA-400,
    	CVE-2022-26358, CVE-2022-26359, CVE-2022-26360, CVE-2022-26361]
  - additional patches so above applies cleanly
* Tue Mar 22 2022 tv <tv> 4.16.0-6.mga9
  + Revision: 1817555
  - Fix filelist on armv7hl
* Tue Mar 22 2022 tv <tv> 4.16.0-5.mga9
  + Revision: 1816807
  - Reenable EFI build & cross-compiling on ia32
  - fix build of xen*.efi file and package it in /usr/lib*/efi
  - Use -Wno-error=use-after-free for gcc12
* Wed Mar 16 2022 tv <tv> 4.16.0-4.mga9
  + Revision: 1794756
  - Multiple speculative security issues [XSA-398]
  - additional patches so above applies cleanly
* Mon Feb 14 2022 tv <tv> 4.16.0-3.mga9
  + Revision: 1774873
  - Disable docs for now
  - arm: guest_physmap_remove_page not removing the p2m mappings [XSA-393,
    	CVE-2022-23033] (#2045044)
  - A PV guest could DoS Xen while unmapping a grant [XSA-394, CVE-2022-23034]
    	(#2045042)
  - Insufficient cleanup of passed-through device IRQs [XSA-395,
    	CVE-2022-23035] (#2045040)
  + tmb <tmb>
  - rebuild for python 3.10
* Tue Jan 11 2022 tv <tv> 4.16.0-1.mga9
  + Revision: 1767945
  - Move /lib/xenfsimage into library package
  - don't build qemu-traditional or pv-grub by default (following upstream)
  - fix some incorrect dependencies on building qemu-traditional
  - rework seabios configure logic (bios.bin is no longer useful)
  - unpackage /boot/EFI/EFI/mageia/xen*.efi
  - frontends vulnerable to backends [XSA-376] (document change only)
  - change grub module package dependencies from Suggests to Recommends
    and move to hypervisor package
  - Revert back iproute2 -> iproute for easier comp with FC (it's provided)
  - 4.16.0
* Wed Nov 24 2021 tv <tv> 4.15.1-2.mga9
  + Revision: 1759032
  - guests may exceed their designated memory limit [XSA-385, CVE-2021-28706]
  - PoD operations on misaligned GFNs [XSA-388, CVE-2021-28704, CVE-2021-28707
    	CVE-2021-28708]
  - issues with partially successful P2M updates on x86 [XSA-389,
    	CVE-2021-28705, CVE-2021-28709]
  - certain VT-d IOMMUs may not work in shared page table mode [XSA-390,
    	CVE-2021-28710]
* Mon Nov 01 2021 tv <tv> 4.15.1-1.mga9
  + Revision: 1753539
  - update to xen-4.15.1
    remove or adjust patches now included or superceded upstream
  - PCI devices with RMRRs not deassigned correctly [XSA-386, CVE-2021-28702]
    (rhbz#2011248)
* Thu Oct 14 2021 tv <tv> 4.15.0-6.mga9
  + Revision: 1751385
  - Rebuild for ocaml 4.13.1
* Sun Jun 13 2021 tv <tv> 4.15.0-5.mga9
  + Revision: 1730567
  - xen/arm: Boot modules are not scrubbed [XSA-372, CVE-2021-28693]
    (#1970542)
  - inappropriate x86 IOMMU timeout detection / handling
    	[XSA-373, CVE-2021-28692] (#1970540)
  - Speculative Code Store Bypass [XSA-375, CVE-2021-0089, CVE-2021-26313]
    	(#1970531)
  - x86: TSX Async Abort protections not restored after S3
    	[XSA-377, CVE-2021-28690] (#1970546)
* Thu May 06 2021 tv <tv> 4.15.0-4.mga9
  + Revision: 1721691
  - Update patches
  - Bump ABI
  + alien <alien>
  - Ensure ocaml version due to needed features
  - Fix iproute2 build requirement
* Sun Apr 18 2021 tv <tv> 4.15.0-3.mga9
  + Revision: 1716814
  - 4.15.0
  - Rediff patches
  - Drop merged patches
* Sun Mar 28 2021 tv <tv> 4.14.1-4.mga9
  + Revision: 1711256
  - HVM soft-reset crashes toolstack [XSA-368, CVE-2021-28687] (rhbz#1940610)
  - Adjust efi test to stop build failing
* Sat Mar 27 2021 tv <tv> 4.14.1-3.mga9
  + Revision: 1711236
  - Only disable EFI filelist on x86_64
  - Temporary remove EFI from filelist due to "xen.efi generation disabled" (????)
  - Build fixes for OCaml 4.12.0
* Sun Feb 28 2021 tv <tv> 4.14.1-2.mga9
  + Revision: 1693573
  - Linux: display frontend "be-alloc" mode is unsupported (comment only)
    	[XSA-363, CVE-2021-26934] (#1929549)
  - arm: The cache may not be cleaned for newly allocated scrubbed pages
    	[XSA-364, CVE-2021-26933] (#1929547)
  - backport upstream zstd dom0 and guest patches
  - BR libzstd
  - add weak dependency on grub modules to improve initial boot setup
  - IRQ vector leak on x86 [XSA-360]

Files

/boot/xen-4.17.0.config
/boot/xen-4.17.0.gz
/usr/lib/debug/.build-id
/usr/lib/debug/.build-id/ab
/usr/lib/debug/.build-id/ab/da56a36a96900056feb16abe9312022e12acb7
/usr/lib/debug/.build-id/ab/da56a36a96900056feb16abe9312022e12acb7.debug
/usr/lib/debug/xen-4.17.0.efi.map
/usr/lib/debug/xen-syms-4.17.0
/usr/lib/debug/xen-syms-4.17.0.map
/usr/lib64/efi/xen-4.17.0.efi
/usr/lib64/efi/xen-4.17.0.notstripped.efi
/usr/share/doc/xen-hypervisor
/usr/share/doc/xen-hypervisor/README.4.3.0.upgrade.urpmi
/usr/share/doc/xen-hypervisor/README.install.urpmi


Generated by rpm2html 1.8.1

Fabrice Bellet, Mon Jul 22 02:03:09 2024